services:
  minio:
    image: pgsty/minio:latest
    container_name: minio
    restart: unless-stopped
    command: >
      server /data
      --console-address ":9001"
    environment:
      TZ: Asia/Shanghai
      MINIO_ROOT_USER: ${MINIO_ROOT_USER}
      MINIO_ROOT_PASSWORD: ${MINIO_ROOT_PASSWORD}
    volumes:
      - /volume1/docker/docker_projects/minio:/data
    ports:
      - "3501:9000"   # S3 API
      - "3500:9001"   # Web Console
    healthcheck:
      test: ["CMD", "curl", "-f", "http://localhost:9000/minio/health/live"]
      interval: 30s
      timeout: 5s
      retries: 3